## stk 4.6.2+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1) ##TODO: which version is better

project(STK VERSION 4.6.1)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

if(NOT CMAKE_BUILD_TYPE) 
    set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build." FORCE)
endif()
SET_PROPERTY(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Release" "Debug" "RelWithDebInfo" "MinSizeRel") 
message("Build type: " ${CMAKE_BUILD_TYPE})

set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3 -DNDEBUG")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -g -D_STK_DEBUG_ -D__RTAUDIO_DEBUG__ -D__RTMIDI_DEBUG__")

if(${CMAKE_CXX_COMPILER_ID} STREQUAL GNU)
    message("GCC.")
    set(CMAKE_CXX_FLAGS "-Wall")
endif()

option(BUILD_SHARED "Whether to build the shared library" ON)
option(BUILD_STATIC "Whether to build the static library" ON)
option(REALTIME "Realtime support" ON)
option(ENABLE_JACK "Enable JACK" ON)
option(ENABLE_ALSA "Enable ALSA API support (linux only)" ON)
# option(ENABLE_OSS "Enable OSS API Support (unixes only)" ON)
option(ENABLE_ASIO "Enable ASIO API support (windows only)" OFF)
option(ENABLE_DS "Enable DirectSound API support (windows only)" ON)
option(ENABLE_WASAPI "Enable Windows Audio Session API support (windows only)" OFF)
# option(ENABLE_CORE "Enable CoreAudio API support (mac only)" ON)
option(COMPILE_PROJECTS "Compile all the example projects" ON)

include_directories("./include")
file(GLOB STK_SRC "./src/*.cpp") # GLOB instead of GLOB_RECURSE as the asio depends on system

#========================================#
#========== Realtime Support ============#
#========================================#
if(REALTIME)
    if(ENABLE_JACK)
        find_library(JACK_LIBRARY jack) # find_package(JACK) # TODO: NEED FindJACK.cmake
        if(JACK_LIBRARY)
            message("Jack API found: ${JACK_LIBRARY}")
            link_libraries(${JACK_LIBRARY})
            add_definitions(-D__UNIX_JACK__)
        else()
            message(WARNING "JACK support requires the jack library!")
        endif()
    endif()

    message("${CMAKE_SYSTEM_NAME}")
    set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
    set(THREADS_PREFER_PTHREAD_FLAG TRUE)
    find_package(Threads REQUIRED)
    link_libraries(Threads::Threads)
    if(${CMAKE_SYSTEM_NAME} STREQUAL Linux)
        # TODO: Finish Linux configuration, include different audio API supports
        #==============    LINUX       ================#
        message("Linux DETECTED!")
        if(ENABLE_ALSA)
            find_package(ALSA REQUIRED)
            if(ALSA_FOUND)
                include_directories(${ALSA_INCLUDE_DIRS})
                link_libraries(${ALSA_LIBRARIES})
                add_definitions(-D__LINUX_ALSA__)
            endif()
        endif()
    elseif(${CMAKE_SYSTEM_NAME} STREQUAL Darwin)
        #==============    MAC OS    ================#
        message("Machintosh DETECTED!")
        find_package(CoreAudio REQUIRED)
        include_directories(${COREAUDIO_INCLUDE_DIRS})
        add_definitions(-D__MACOSX_CORE__)
        link_libraries(${COREAUDIO_LIBRARY} ${COREAUDIO_FOUNDATION} ${COREAUDIO_MIDI})
    elseif(${CMAKE_SYSTEM_NAME} STREQUAL Windows)
        # TODO: MORE SUPPORT (e.g., MSYS)?
        # Tested under MSYS2 with Mingw64 toolchain
        #==============      WINDOWS      ================#
        message("Windows DETECTED!")

        link_libraries(winmm ole32 wsock32)
        add_definitions(-D__WINDOWS_MM__)

        # TODO: ASIO NOT WORKING YET
        if(ENABLE_ASIO)
            message("ENALBING ASIO")
            include_directories("./src/include")
            # target_sources(stk PUBLIC "${CMAKE_SOURCE_DIR}/src/include/asio.cpp" "${CMAKE_SOURCE_DIR}/src/include/asiodrivers.cpp"
            #                     "${CMAKE_SOURCE_DIR}/src/include/asiolist.cpp" "${CMAKE_SOURCE_DIR}/src/include/iasiothiscallresolver.cpp")
            add_definitions(-D__WINDOWS_ASIO__)
        endif()

        if(ENABLE_WASAPI)
            message("ENALBING WASAPI")
            link_libraries(mfuuid mfplat wmcodecdspuuid ksuser)
            add_definitions(-D__WINDOWS_WASAPI__)
        endif()
        
        if(ENABLE_DS)
            message("ENALBING Directsound")
            link_libraries(dsound)
            add_definitions(-D__WINDOWS_DS__)
        endif()
    else()
        message("CMAKE_SYSTEM_NAME:" ${CMAKE_SYSTEM_NAME})
        message(FATAL_ERROR "Unknown system type for realtime support.")
    endif()
endif()

include(TestBigEndian)
TEST_BIG_ENDIAN(IS_BIG_ENDIAN)
if(NOT IS_BIG_ENDIAN)
  add_definitions(-D__LITTLE_ENDIAN__)
endif()

#========================================#
#========== Build the Library ===========#
#========================================#
if(BUILD_STATIC)
    add_library(stk STATIC ${STK_SRC} )
endif()

if(BUILD_SHARED)
    add_library(stk_SHARED SHARED ${STK_SRC})
    set_target_properties(stk_SHARED PROPERTIES OUTPUT_NAME stk) # rename the shared library name
endif()

#========================================#
#========= Build the examples ===========#
#========================================#
if(COMPILE_PROJECTS)
    message("COMPILE PROJECTS!")
    add_subdirectory(projects/examples)
    add_subdirectory(projects/eguitar)
    add_subdirectory(projects/demo)
    add_subdirectory(projects/effects)
    add_subdirectory(projects/ragamatic)
endif()

=== projects/demo/CMakeLists.txt ===
project(demo)

file(GLOB DEMO_SRC "./*.cpp")

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${PROJECT_SOURCE_DIR}")

add_executable(stk-demo "demo.cpp" "utilities.cpp")
target_include_directories(stk-demo PRIVATE "./")
target_link_libraries(stk-demo PUBLIC stk)

=== projects/effects/CMakeLists.txt ===
project(effects)

file(GLOB EFFECTS_SRC "./*.cpp")

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${PROJECT_SOURCE_DIR}")

add_executable(${PROJECT_NAME} ${EFFECTS_SRC})
target_include_directories(${PROJECT_NAME} PRIVATE "./")
target_link_libraries(${PROJECT_NAME} PUBLIC stk)

=== projects/eguitar/CMakeLists.txt ===
project(eguitar)

file(GLOB EGUITAR_SRC "./*.cpp")

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${PROJECT_SOURCE_DIR}")

add_executable(${PROJECT_NAME} ${EGUITAR_SRC})
target_include_directories(${PROJECT_NAME} PRIVATE "./")
target_link_libraries(${PROJECT_NAME} PUBLIC stk)

=== projects/examples/CMakeLists.txt ===
project(examples)

file(GLOB EXAMPLE_SRC "./*.cpp")

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${PROJECT_SOURCE_DIR}")

foreach(src ${EXAMPLE_SRC})
    get_filename_component(src_bin ${src} NAME_WE)
    add_executable(${src_bin} ${src})
    target_link_libraries(${src_bin} PUBLIC stk)
endforeach()

=== projects/ragamatic/CMakeLists.txt ===
project(ragamat)

file(GLOB RAGMATIC_SRC "./*.cpp")

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${PROJECT_SOURCE_DIR}")

add_executable(${PROJECT_NAME} ${RAGMATIC_SRC})
target_include_directories(${PROJECT_NAME} PRIVATE "./")
target_link_libraries(${PROJECT_NAME} PUBLIC stk)

## stk 4.4.3

=== debian/changelog ===
stk (4.4.3-2) unstable; urgency=low

  [ Felipe Sateler ]
  * Create object destination directory if not existant
  * Use autotools-dev helper instead of manually updating config.{sub,guess}
  * Use correct invocation to pass the rawwave path, also fix the destination

  [ Alessio Treglia ]
  * Don't compile local copies of rt{audio,midi} objects, link against
    the system-wide ones instead.
  * Update debian/copyright.
  * Add librt{audio,midi}-dev on libstk0-dev's Depends field (whenever
    available) and set up symbolic links properly to avoid distributing
    duplicate copies of Rt{Audio,Error,Midi}.h.
  * Add Multi-Arch support.

 -- Alessio Treglia <alessio@debian.org>  Tue, 24 Jan 2012 09:15:32 +0100

stk (4.4.3-1) unstable; urgency=low

  * New upstream release:
    - changed SINT24 to be lower 3 bytes of 32-bit word
    - bug fixes to vectorized tick functions in Effects classes
    - updated versions of RtAudio and RtMidi
    - fix to ADSR bugs
    - updates to the internal argument checking and reporting scheme
    - updates to Bowed class (thanks to Esteban Maestre!)
    - fixes for 24-bit support in FileRead and FileWrite
    - added WAVE_FORMAT_EXTENSIBLE support in FileWrite
    - added sample rate variable reading and writing for MAT-files in
      FileRead and FileWrite
  * Refresh patches.
  * Switch to format 3.0 (quilt) format.
  * Add .gitignore file.
  * Add debian/gbp.conf file.
  * Change my email address.
  * Update debian/copyright file.
  * Replace negated list of architectures with linux-any (Closes: #634627)
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 01 Sep 2011 13:23:45 +0200

stk (4.4.2-5) unstable; urgency=low

  * debian/rules: Consider each line executed in a subshell, really
    Closes: #569052

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 09 Apr 2010 11:09:24 +0200

stk (4.4.2-4) unstable; urgency=low

  * Install config.{guess,sub} into the right location (Closes: #569052).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 09 Apr 2010 03:09:31 +0200

stk (4.4.2-3) unstable; urgency=low

  * Drop symbols file.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 08 Feb 2010 11:37:05 +0100

stk (4.4.2-2) unstable; urgency=low

  * Change maintainer to Debian Multimedia Maintainers.
  * Add Vcs-* tags.
  * Disable realtime support on hurd,kfreebsd architecturess; providing ALSA
    and OSS support for those archs is now unnecessary.
  * Update config.{guess,sub} before calling configure script to prevent FTBFS
    on AVR32 (Closes: #568812).
  * Add symbols file.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 07 Feb 2010 15:18:48 +0100

stk (4.4.2-1) unstable; urgency=low

  * Adopting this (Closes: #547005).
  * New upstream release (Closes: #427294).
  * debian/control: versioned dependency of libstk0-dev on libstk0c2a, thanks
    to Ilya Barygin for the patch.
  * debian/control:
    - Replace Build-Depends on libjack0.100.0-dev with libjack-dev;
      Closes: #527437.
    - Set DMUA to yes.
    - Move libstk0-dev to libdevel section.
    - Move libstk0-doc to doc section.
    - Improve descriptions.
    - Replace build-dependendency on libreadline5-dev with libreadline-dev;
      Closes: #553861.
  * Swtich to debhelper 7 and quilt.
  * Drop cdbs.
  * Bump debian/compat.
  * Refresh and rename 01_makefile.patch -> 01-makefile.patch,
    drop all other patches, now unnecessary.
  * debian/libstk0-dev: Don't install static library file.
  * Fix stk-doc.doc-base as per spec.
  * debian/copyright:
    - Adjust format according to Debian DEP-5.
    - Add license text.
  * Install ReleaseNotes as upstream's changelog.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 06 Feb 2010 11:02:11 +0100

stk (4.2.0-10) unstable; urgency=low

  * QA upload.
  * Include patch from Martin Michlmayr to fix FTBFS with GCC 4.4.
    (Closes: #504965)
  * debian/control:
    + Make QA the maintainer.
    + Standards Version now 3.8.4 (No changes needed).
    + Add Homepage field.
    + Add ${misc:Depends} to all packages.
    + Build-Depend on debhelper 5 and bump compat to 5.
    + Add ${binary:Version} to libstk dependencies.
  * debian/copyright: Add (C) to copyright.
  * debian/stk.menu: Move to Applications category

 -- Kumar Appaiah <akumar@debian.org>  Sat, 30 Jan 2010 23:53:35 -0600

stk (4.2.0-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #417704).

 -- Luk Claes <luk@debian.org>  Sat, 15 Mar 2008 16:55:36 +0000

stk (4.2.0-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: fixed bashism (use of {,}). Closes: #378528.
  * Fixed FTBFS with gcc 4.3 (patch from Martin Michlmayr added
    as 01_includes_gcc43.patch). Closes: #417704.
  * Fixed debian/watch to read
    http://ccrma.stanford.edu/software/stk/download.html instead of directly
    trying to list the content of
    http://ccrma.stanford.edu/software/stk/release/. Closes: #449826.
  * Investigated FTBFS when built twice in a row. It was actually caused
    by cdbs' bug #387103, fixed in cdbs 0.4.48. I'm not build-depending
    on cdbs >= 0.4.48 since this bug doesn't prevent to build the package.
    Closes: #424233.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 16 Jan 2008 12:10:29 +0100

stk (4.2.0-9) unstable; urgency=low

  * acknowledged NMU
  * Standards version to 3.7.2

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 30 May 2006 11:33:39 +0200

stk (4.2.0-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix
  * Rename libstk0c2 to libstk0c2a for the C++ mt allocator ABI transition,
    and conflict/replace libstk0c2 accordingly (closes: #339267).

 -- Steve Langasek <vorlon@debian.org>  Mon,  5 Dec 2005 16:39:10 -0800

stk (4.2.0-8) unstable; urgency=low

  * Added examples to libstk0-dev
  * Compiling with -O2 instead of -O3 (problems on mk68)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 15 Sep 2005 09:12:22 +0200



=== debian/control ===
Source: stk
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 autoconf,
 autotools-dev,
 debhelper (>= 8.1.3~),
 libasound2-dev [linux-any],
 libjack-dev [linux-any],
 libreadline-dev,
 librtaudio-dev [linux-any],
 librtmidi-dev [linux-any]
Standards-Version: 3.9.2
Homepage: http://ccrma.stanford.edu/software/stk/
Vcs-Git: git://git.debian.org/pkg-multimedia/stk.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/stk.git

Package: libstk0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 librtaudio-dev [linux-any],
 librtmidi-dev [linux-any],
 libstk0c2a (= ${binary:Version}),
 ${misc:Depends}
Description: Sound Synthesis Toolkit (development files)
 The Sound Synthesis Toolkit is a C++ library with implementations
 of several sound synthesis algorithms, starting from Frequency
 Modulation, over Physical Modelling and others. It can be used
 as a library, but it also provides some nice software synthesizers.
 .
 This package provides the development files for the sound synthesis toolkit.

Package: libstk0c2a
Conflicts:
 libstk0,
 libstk0c2
Replaces:
 libstk0,
 libstk0c2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Sound Synthesis Toolkit
 The Sound Synthesis Toolkit is a C++ library with implementations
 of several sound synthesis algorithms, starting from Frequency
 Modulation, over Physical Modelling and others. It can be used
 as a library, but it also provides some nice software synthesizers.

Package: stk
Architecture: any
Depends:
 libstk0c2a (= ${binary:Version}),
 tk8.4,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Sound Synthesis Toolkit (example applications)
 The Sound Synthesis Toolkit is a C++ library with implementations
 of several sound synthesis algorithms, starting from Frequency
 Modulation, over Physical Modelling and others. It can be used
 as a library, but it also provides some nice software synthesizers.
 .
 This package provides the example files for the sound synthesis toolkit.

Package: stk-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Description: Sound Synthesis Toolkit (documentation)
 The Sound Synthesis Toolkit is a C++ library with implementations
 of several sound synthesis algorithms, starting from Frequency
 Modulation, over Physical Modelling and others. It can be used
 as a library, but it also provides some nice software synthesizers.
 .
 This package contains the documentation for the sound synthesis toolkit.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

CONFIGURE_FLAGS =
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFIGURE_FLAGS += --with-jack --with-alsa --with-oss
else
CONFIGURE_FLAGS += --disable-realtime
endif

RAWWAVE_PATH = /usr/share/stk/rawwaves/

CONFIGURE_FLAGS += RAWWAVE_PATH=$(RAWWAVES)

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)
	mkdir -p src/Release

override_dh_installchangelogs:
	dh_installchangelogs doc/ReleaseNotes.txt

override_dh_install:
	dh_install -p libstk0-dev
	cd debian/libstk0-dev/usr/include/stk/ && \
		rm RtAudio.h RtError.h RtMidi.h
	dh_install --remaining-packages

## stk 4.4.4

=== debian/changelog ===
stk (4.4.4-4) unstable; urgency=low

  * Remove stale delme file
  * Do not build stk demo on non-linux archs. Closes: #728079

 -- Felipe Sateler <fsateler@debian.org>  Wed, 30 Oct 2013 12:41:12 -0300

stk (4.4.4-3) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Tue, 09 Jul 2013 22:32:48 +0100

stk (4.4.4-2) experimental; urgency=low

  [ Felipe Sateler ]
  * Fix Typo: RAWWAVES -> RAWWAVE_PATH
  * Build shared library
  * File endian.h has moved to the root directory
  * Create demo Release folder, avoids build failure on git checkout
  * Do not patch generated makefiles, save a copy to restore at clean
  * Move aside RtAudio and RtMidi headers, they confuse the compiler.
    Closes: #707473.
  * Add myself to uploaders
  * Depend on tk, not tk8.4

  [ Alessio Treglia ]
  * Refresh patches
  * Fix VCS URLs.
  * Bump Standards.

 -- Felipe Sateler <fsateler@debian.org>  Mon, 20 May 2013 14:26:15 -0400

stk (4.4.4-1) experimental; urgency=low

  * New upstream release.
  * Bump {build-,}dependencies on rtaudio,rtmidi.
  * Bump debhelper to 9.
  * Refresh patches.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 03 Sep 2012 19:21:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,29 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Felipe Sateler <fsateler@debian.org>
 Build-Depends:
  autoconf,
  autotools-dev,
- debhelper (>= 8.1.3~),
+ debhelper (>= 9),
  libasound2-dev [linux-any],
  libjack-dev [linux-any],
  libreadline-dev,
- librtaudio-dev [linux-any],
- librtmidi-dev [linux-any]
-Standards-Version: 3.9.2
+ librtaudio-dev (>= 4.0.11~) [linux-any],
+ librtmidi-dev (>= 2.0.1~) [linux-any]
+Standards-Version: 3.9.4
 Homepage: http://ccrma.stanford.edu/software/stk/
-Vcs-Git: git://git.debian.org/pkg-multimedia/stk.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/stk.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/stk.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/stk.git
 
 Package: libstk0-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
- librtaudio-dev [linux-any],
- librtmidi-dev [linux-any],
+ librtaudio-dev (>= 4.0.11~) [linux-any],
+ librtmidi-dev (>= 2.0.1~) [linux-any],
  libstk0c2a (= ${binary:Version}),
  ${misc:Depends}
 Description: Sound Synthesis Toolkit (development files)
@@ -58,7 +59,7 @@
 Architecture: any
 Depends:
  libstk0c2a (= ${binary:Version}),
- tk8.4,
+ tk,
  ${misc:Depends},
  ${shlibs:Depends}
 Description: Sound Synthesis Toolkit (example applications)

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

CONFIGURE_FLAGS =
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFIGURE_FLAGS += --with-jack --with-alsa --with-oss
STK_REALTIME = yes
else
CONFIGURE_FLAGS += --disable-realtime
STK_REALTIME =no
endif

export STK_REALTIME

RAWWAVE_PATH = /usr/share/stk/rawwaves/

CONFIGURE_FLAGS += RAWWAVE_PATH=$(RAWWAVE_PATH)

MOVE_FILES = include/RtAudio.h include/RtMidi.h include/RtError.h \
	       projects/examples/libMakefile

move_file = [ ! -f $(1) ] || mv $(1) $(2)

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_configure:
	for file in $(MOVE_FILES); do \
		$(call move_file , $${file}, $${file}.bak); \
	done
	dh_auto_configure -- $(CONFIGURE_FLAGS)
	mkdir -p src/Release
	mkdir -p projects/demo/Release


override_dh_link:
	dh_link
# Cleanup realtime-related files
ifeq ($(STK_REALTIME),no)
	rm -rf debian/stk/usr/share/menu
	rm -rf debian/stk/usr/share/man
endif

override_dh_installchangelogs:
	dh_installchangelogs doc/ReleaseNotes.txt

override_dh_auto_clean:
	dh_auto_clean
	for file in $(MOVE_FILES); do \
		$(call move_file, $${file}.bak, $${file}); \
	done

## stk 4.5.0

=== debian/changelog ===
stk (4.5.0-3) unstable; urgency=medium

  * Use autotools_dev again to get up-to-date config.{sub,guess}

 -- Felipe Sateler <fsateler@debian.org>  Thu, 10 Dec 2015 22:35:10 -0300

stk (4.5.0-2) unstable; urgency=medium

  * Release to unstable
  * Install missing include files SKINI.msg and SKINI.tbl (Closes: #805549)
  * Do not install Rt{Audio,Midi} files. (Closes: #750453)
  * Remove RtError link, that file is gone

 -- Felipe Sateler <fsateler@debian.org>  Thu, 10 Dec 2015 21:05:48 -0300

stk (4.5.0-1) experimental; urgency=medium

  * New upsteam release
  * Refresh patches.
  * Do not build static library as we do not ship it
  * Use dh-autoreconf to rebuild configure and friends
  * Rename library package for new soname
  * Fix install target for new soname scheme

 -- Felipe Sateler <fsateler@debian.org>  Fri, 27 Nov 2015 20:40:04 -0300

stk (4.4.4-6) unstable; urgency=medium

  * Team upload.
  * Rename packages for GCC 5 transition. (Closes: #799649)
  * debian/control:
    - Remove obsolete Conflicts and Replaces.
    - Bump Standards-Version to 3.9.6
  * debian/*.dirs: Removed, no longer needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 Sep 2015 19:34:34 +0200

stk (4.4.4-5) unstable; urgency=medium

  * Prepare for new rtaudio and rtmidi

 -- Felipe Sateler <fsateler@debian.org>  Mon, 09 Jun 2014 17:37:22 -0400

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
  Alessio Treglia <alessio@debian.org>,
  Felipe Sateler <fsateler@debian.org>
 Build-Depends:
- autoconf,
+ dh-autoreconf,
  autotools-dev,
  debhelper (>= 9),
  libasound2-dev [linux-any],
  libjack-dev [linux-any],
  libreadline-dev,
- librtaudio-dev (>= 4.0.11~) [linux-any],
- librtmidi-dev (>= 2.0.1~) [linux-any]
-Standards-Version: 3.9.4
+ librtaudio-dev (>= 4.1.1~ds0~) [linux-any],
+ librtmidi-dev (>= 2.1.0~) [linux-any]
+Standards-Version: 3.9.6
 Homepage: http://ccrma.stanford.edu/software/stk/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/stk.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/stk.git
@@ -26,7 +26,7 @@
 Depends:
  librtaudio-dev (>= 4.0.11~) [linux-any],
  librtmidi-dev (>= 2.0.1~) [linux-any],
- libstk0c2a (= ${binary:Version}),
+ libstk-4.5.0 (= ${binary:Version}),
  ${misc:Depends}
 Description: Sound Synthesis Toolkit (development files)
  The Sound Synthesis Toolkit is a C++ library with implementations
@@ -36,13 +36,7 @@
  .
  This package provides the development files for the sound synthesis toolkit.
 
-Package: libstk0c2a
-Conflicts:
- libstk0,
- libstk0c2
-Replaces:
- libstk0,
- libstk0c2
+Package: libstk-4.5.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -58,7 +52,7 @@
 Package: stk
 Architecture: any
 Depends:
- libstk0c2a (= ${binary:Version}),
+ libstk-4.5.0 (= ${binary:Version}),
  tk,
  ${misc:Depends},
  ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 RAWWAVE_PATH = /usr/share/stk/rawwaves/
 
-CONFIGURE_FLAGS += RAWWAVE_PATH=$(RAWWAVE_PATH)
+CONFIGURE_FLAGS += RAWWAVE_PATH=$(RAWWAVE_PATH) --enable-shared --disable-static
 
 MOVE_FILES = include/RtAudio.h include/RtMidi.h include/RtError.h \
 	       projects/examples/libMakefile
@@ -24,7 +24,7 @@
 move_file = [ ! -f $(1) ] || mv $(1) $(2)
 
 %:
-	dh $@ --with autotools_dev --parallel
+	dh $@ --with autoreconf,autotools_dev --parallel
 
 override_dh_auto_configure:
 	for file in $(MOVE_FILES); do \
@@ -34,6 +34,10 @@
 	mkdir -p src/Release
 	mkdir -p projects/demo/Release
 
+incdir = $(CURDIR)/debian/tmp/usr/include/stk
+override_dh_auto_install:
+	dh_auto_install
+	rm $(incdir)/RtAudio* $(incdir)/RtMidi*
 
 override_dh_link:
 	dh_link

=== debian/watch ===
version=3

http://ccrma.stanford.edu/software/stk/download.html .*/stk-(.*)\.tar\.gz

## stk 4.5.2+dfsg

=== debian/changelog ===
stk (4.5.2+dfsg-5build1) bionic; urgency=medium

  * No-change rebuild against librtmidi4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Nov 2017 06:45:34 +0000

stk (4.5.2+dfsg-5) unstable; urgency=medium

  * Use debian RAWWAVE_PATH in stk-demo. (Closes: #858895)
  * Fix link targets for RtAudio and RtMidi header files (Closes: #858957)

 -- Felipe Sateler <fsateler@debian.org>  Wed, 29 Mar 2017 10:39:43 -0300

stk (4.5.2+dfsg-4) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Replace stk menu with desktop file. (Closes: #708791)

  [ Felipe Sateler ]
  * Use the dpkg makefile snippet to get the architecture
  * Bump debhelper compat to 10

 -- Felipe Sateler <fsateler@debian.org>  Sat, 24 Dec 2016 15:15:56 -0300

stk (4.5.2+dfsg-3) unstable; urgency=medium

  * Use gbp pq for patch handling
  * Add include paths for newer rtaudio/rtmidi (Closes: #828950, #828954)
  * Do not override user-supplied CXXFLAGS

 -- Felipe Sateler <fsateler@debian.org>  Sat, 23 Jul 2016 11:34:09 -0400

stk (4.5.2+dfsg-2) unstable; urgency=medium

  [ Felipe Sateler ]
  * Do not remove Rt{Audio,Midi}, they are not installed anymore
  * Bump standards version
  * Only build demo program when realtime is enabled (Closes: #815509)
  * Remove stale files on clean

  [ Alexis Bienvenüe ]
  * Fix order of .o files (Closes: #822566)

 -- Felipe Sateler <fsateler@debian.org>  Thu, 12 May 2016 00:09:16 -0300

stk (4.5.2+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Repack, add asio files to Files-Excluded. Closes: #823316
    - Drop 0006-Install-missing-include-files-SKINI.msg-and-SKINI.tb.patch,
      not needed anymore
  * Add upstream patch to fix SKINI renaming
  * Build doxygen docs on -indep targets.

 -- Felipe Sateler <fsateler@debian.org>  Wed, 11 May 2016 21:25:54 -0300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,24 @@
 Source: stk
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Felipe Sateler <fsateler@debian.org>
 Build-Depends:
+ debhelper (>= 10)
+Build-Depends-Arch:
  dh-autoreconf,
  autotools-dev,
- debhelper (>= 9),
  libasound2-dev [linux-any],
  libjack-dev [linux-any],
  libreadline-dev,
  librtaudio-dev (>= 4.1.1~ds0~) [linux-any],
  librtmidi-dev (>= 2.1.0~) [linux-any]
-Standards-Version: 3.9.6
+Build-Depends-Indep:
+ doxygen
+Standards-Version: 3.9.8
 Homepage: http://ccrma.stanford.edu/software/stk/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/stk.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/stk.git

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,12 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 
+DPKG_EXPORT_BUILDFLAGS = 1
+DEB_CPPFLAGS_MAINT_APPEND = -I/usr/include/rtmidi -I/usr/include/rtaudio
+
+include /usr/share/dpkg/default.mk
+
 CONFIGURE_FLAGS =
-DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 CONFIGURE_FLAGS += --with-jack --with-alsa --with-oss
@@ -13,6 +17,7 @@
 endif
 
 export STK_REALTIME
+
 
 RAWWAVE_PATH = /usr/share/stk/rawwaves/
 
@@ -26,7 +31,7 @@
 %:
 	dh $@ --with autoreconf,autotools_dev --parallel
 
-override_dh_auto_configure:
+override_dh_auto_configure-arch:
 	for file in $(MOVE_FILES); do \
 		$(call move_file , $${file}, $${file}.bak); \
 	done
@@ -34,10 +39,13 @@
 	mkdir -p src/Release
 	mkdir -p projects/demo/Release
 
-incdir = $(CURDIR)/debian/tmp/usr/include/stk
-override_dh_auto_install:
-	dh_auto_install
-	rm $(incdir)/RtAudio* $(incdir)/RtMidi*
+override_dh_auto_configure-indep:
+
+override_dh_auto_build-arch:
+	dh_auto_build
+
+override_dh_auto_build-indep:
+	cd doc/doxygen && doxygen
 
 override_dh_link:
 	dh_link
@@ -55,4 +63,6 @@
 	for file in $(MOVE_FILES); do \
 		$(call move_file, $${file}.bak, $${file}); \
 	done
+	rm -rf doc/html
+	rm -rf projects/demo/Release/ projects/examples/libMakefile src/Release/

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg, dversionmangle=s/\+dfsg\d*$//" \
	https://github.com/thestk/stk/releases \
	(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## stk 4.6.1+dfsg

=== debian/changelog ===
stk (4.6.1+dfsg-3mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 01 Nov 2020 13:17:10 -0800

stk (4.6.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Feb 2020 18:57:28 +0100

stk (4.6.1+dfsg-2) experimental; urgency=medium

  * Team upload.
  * debian/control: Fix version in Breaks+Replaces.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Feb 2020 21:06:01 +0100

stk (4.6.1+dfsg-1) experimental; urgency=medium

  * Team upload

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org
  * Drop references to autoreconf: implied by debhelper compat 10
  * Fail to build if files are missing in packages
  * Refresh patches

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Dennis Braun ]
  * New upstream version 4.6.1+dfsg
  * d/control:
    + Bump debhelper-compat to 12
    + Bump standards version to 4.5.0
    + Bump package name for SOVERSION change
    + Use https protocol for the homepage
    + stk-doc: Add Multi-Arch: foreign
    + Drop autotools-dev from B-D
    + Set RRR: no
  * d/libstk0-dev.examples: Disable for now
  * d/rules: Drop dh arguments "--with autotools_dev --parallel"

  [ Sebastian Ramacher ]
  * debian/stk-doc.doc-base: Update documentation path
  * debian/control:
    - Remove obsolete Pre-Depends
    - Set correct section for libstk
  * debian/: Transition to libstk-dev
    libstk0 was removed from the archive ages ago.

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 01 Feb 2020 18:35:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: stk
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Felipe Sateler <fsateler@debian.org>
 Build-Depends:
- debhelper (>= 10)
+ debhelper-compat (= 12)
 Build-Depends-Arch:
- dh-autoreconf,
- autotools-dev,
  libasound2-dev [linux-any],
  libjack-dev [linux-any],
  libreadline-dev,
@@ -18,20 +16,23 @@
  librtmidi-dev (>= 2.1.0~) [linux-any]
 Build-Depends-Indep:
  doxygen
-Standards-Version: 3.9.8
-Homepage: http://ccrma.stanford.edu/software/stk/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/stk.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/stk.git
+Standards-Version: 4.5.0
+Homepage: https://ccrma.stanford.edu/software/stk/
+Vcs-Git: https://salsa.debian.org/multimedia-team/stk.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/stk
+Rules-Requires-Root: no
 
-Package: libstk0-dev
+Package: libstk-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
  librtaudio-dev (>= 4.0.11~) [linux-any],
  librtmidi-dev (>= 2.0.1~) [linux-any],
- libstk-4.5.0 (= ${binary:Version}),
+ libstk-4.6.1 (= ${binary:Version}),
  ${misc:Depends}
+Breaks: libstk0-dev (<< 4.6.1+dfsg-1)
+Replaces: libstk0-dev (<< 4.6.1+dfsg-1)
 Description: Sound Synthesis Toolkit (development files)
  The Sound Synthesis Toolkit is a C++ library with implementations
  of several sound synthesis algorithms, starting from Frequency
@@ -40,10 +41,10 @@
  .
  This package provides the development files for the sound synthesis toolkit.
 
-Package: libstk-4.5.0
+Package: libstk-4.6.1
+Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -56,7 +57,7 @@
 Package: stk
 Architecture: any
 Depends:
- libstk-4.5.0 (= ${binary:Version}),
+ libstk-4.6.1 (= ${binary:Version}),
  tk,
  ${misc:Depends},
  ${shlibs:Depends}
@@ -71,6 +72,7 @@
 Package: stk-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Description: Sound Synthesis Toolkit (documentation)
@@ -80,3 +82,13 @@
  as a library, but it also provides some nice software synthesizers.
  .
  This package contains the documentation for the sound synthesis toolkit.
+
+Package: libstk0-dev
+Section: oldlibs
+Architecture: any
+Multi-Arch: same
+Depends:
+ libstk-dev (= ${binary:Version}),
+ ${misc:Depends}
+Description: transitional package
+ This is a transitional package. It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 move_file = [ ! -f $(1) ] || mv $(1) $(2)
 
 %:
-	dh $@ --with autoreconf,autotools_dev --parallel
+	dh $@
 
 override_dh_auto_configure-arch:
 	for file in $(MOVE_FILES); do \
@@ -66,3 +66,10 @@
 	rm -rf doc/html
 	rm -rf projects/demo/Release/ projects/examples/libMakefile src/Release/
 
+
+override_dh_strip:
+	dh_strip -a --no-automatic-dbgsym	
+	
+override_dh_missing:
+	dh_missing --fail-missing
+

## stk 4.6.2+dfsg

=== debian/changelog ===
stk (4.6.2+dfsg-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 Jun 2022 19:28:05 +0200

stk (4.6.2+dfsg-1) experimental; urgency=medium

  * Team upload.

  [ Felipe Sateler ]
  * Remove myself from uploaders

  [ Jenkins ]
  * Remove constraints unnecessary since buster

  [ Sebastian Ramacher ]
  * New upstream version 4.6.2+dfsg
    - libtstk-4.6.1 -> libstk-4.6.2
  * debian/control:
    - Remove transitional libstk0-dev package
    - Bump Standards-Version
  * debian/copyright: Update copyright years
  * debian/patches: Refresh patches
  * debian/: Bump debhelper compat to 13

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Apr 2022 11:13:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: stk
 Section: sound
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
- Felipe Sateler <fsateler@debian.org>
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
 Build-Depends-Arch:
  libasound2-dev [linux-any],
  libjack-dev [linux-any],
  libreadline-dev,
- librtaudio-dev (>= 4.1.1~ds0~) [linux-any],
- librtmidi-dev (>= 2.1.0~) [linux-any]
+ librtaudio-dev [linux-any],
+ librtmidi-dev [linux-any]
 Build-Depends-Indep:
  doxygen
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://ccrma.stanford.edu/software/stk/
 Vcs-Git: https://salsa.debian.org/multimedia-team/stk.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/stk
@@ -27,12 +25,10 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- librtaudio-dev (>= 4.0.11~) [linux-any],
- librtmidi-dev (>= 2.0.1~) [linux-any],
- libstk-4.6.1 (= ${binary:Version}),
+ librtaudio-dev [linux-any],
+ librtmidi-dev [linux-any],
+ libstk-4.6.2 (= ${binary:Version}),
  ${misc:Depends}
-Breaks: libstk0-dev (<< 4.6.1+dfsg-1)
-Replaces: libstk0-dev (<< 4.6.1+dfsg-1)
 Description: Sound Synthesis Toolkit (development files)
  The Sound Synthesis Toolkit is a C++ library with implementations
  of several sound synthesis algorithms, starting from Frequency
@@ -41,7 +37,7 @@
  .
  This package provides the development files for the sound synthesis toolkit.
 
-Package: libstk-4.6.1
+Package: libstk-4.6.2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -57,7 +53,7 @@
 Package: stk
 Architecture: any
 Depends:
- libstk-4.6.1 (= ${binary:Version}),
+ libstk-4.6.2 (= ${binary:Version}),
  tk,
  ${misc:Depends},
  ${shlibs:Depends}
@@ -82,13 +78,3 @@
  as a library, but it also provides some nice software synthesizers.
  .
  This package contains the documentation for the sound synthesis toolkit.
-
-Package: libstk0-dev
-Section: oldlibs
-Architecture: any
-Multi-Arch: same
-Depends:
- libstk-dev (= ${binary:Version}),
- ${misc:Depends}
-Description: transitional package
- This is a transitional package. It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -47,10 +47,9 @@
 override_dh_auto_build-indep:
 	cd doc/doxygen && doxygen
 
-override_dh_link:
-	dh_link
 # Cleanup realtime-related files
 ifeq ($(STK_REALTIME),no)
+execute_after_dh_link:
 	rm -rf debian/stk/usr/share/menu
 	rm -rf debian/stk/usr/share/man
 endif
@@ -58,18 +57,9 @@
 override_dh_installchangelogs:
 	dh_installchangelogs doc/ReleaseNotes.txt
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	for file in $(MOVE_FILES); do \
 		$(call move_file, $${file}.bak, $${file}); \
 	done
 	rm -rf doc/html
 	rm -rf projects/demo/Release/ projects/examples/libMakefile src/Release/
-
-
-override_dh_strip:
-	dh_strip -a --no-automatic-dbgsym	
-	
-override_dh_missing:
-	dh_missing --fail-missing
-

## stk 5.0.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
 Build-Depends:
- debhelper-compat (= 13)
+ debhelper-compat (= 13),
 Build-Depends-Arch:
  libasound2-dev [linux-any],
  libjack-dev [linux-any],
  libreadline-dev,
  librtaudio-dev [linux-any],
- librtmidi-dev [linux-any]
+ librtmidi-dev [linux-any],
 Build-Depends-Indep:
- doxygen
-Standards-Version: 4.6.1
+ doxygen,
+Standards-Version: 4.7.0
 Homepage: https://ccrma.stanford.edu/software/stk/
 Vcs-Git: https://salsa.debian.org/multimedia-team/stk.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/stk
@@ -27,8 +27,8 @@
 Depends:
  librtaudio-dev [linux-any],
  librtmidi-dev [linux-any],
- libstk-4.6.2 (= ${binary:Version}),
- ${misc:Depends}
+ libstk-5.0.0 (= ${binary:Version}),
+ ${misc:Depends},
 Description: Sound Synthesis Toolkit (development files)
  The Sound Synthesis Toolkit is a C++ library with implementations
  of several sound synthesis algorithms, starting from Frequency
@@ -37,13 +37,13 @@
  .
  This package provides the development files for the sound synthesis toolkit.
 
-Package: libstk-4.6.2
+Package: libstk-5.0.0
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: Sound Synthesis Toolkit
  The Sound Synthesis Toolkit is a C++ library with implementations
  of several sound synthesis algorithms, starting from Frequency
@@ -53,10 +53,10 @@
 Package: stk
 Architecture: any
 Depends:
- libstk-4.6.2 (= ${binary:Version}),
+ libstk-5.0.0 (= ${binary:Version}),
  tk,
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: Sound Synthesis Toolkit (example applications)
  The Sound Synthesis Toolkit is a C++ library with implementations
  of several sound synthesis algorithms, starting from Frequency
@@ -70,7 +70,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- ${misc:Depends}
+ ${misc:Depends},
 Description: Sound Synthesis Toolkit (documentation)
  The Sound Synthesis Toolkit is a C++ library with implementations
  of several sound synthesis algorithms, starting from Frequency

## stk 5.0.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 cmake_minimum_required(VERSION 3.1) ##TODO: which version is better
 
 project(STK VERSION 4.6.1)
+set (CMAKE_CXX_STANDARD 11)
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
 
@@ -10,8 +11,14 @@
 SET_PROPERTY(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Release" "Debug" "RelWithDebInfo" "MinSizeRel") 
 message("Build type: " ${CMAKE_BUILD_TYPE})
 
-set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3 -DNDEBUG")
-set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -g -D_STK_DEBUG_ -D__RTAUDIO_DEBUG__ -D__RTMIDI_DEBUG__")
+if(MSVC)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /clr")
+    set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /O2 /DNDEBUG")
+    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /Z7 /Ob0 /Od /RTC1 /D_ITERATOR_DEBUG_LEVEL=2 /D_STK_DEBUG_ /D__RTAUDIO_DEBUG__ /D__RTMIDI_DEBUG__")
+else()
+    set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3 -DNDEBUG")
+    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -g -D_STK_DEBUG_ -D__RTAUDIO_DEBUG__ -D__RTMIDI_DEBUG__")
+endif()
 
 if(${CMAKE_CXX_COMPILER_ID} STREQUAL GNU)
     message("GCC.")
@@ -29,6 +36,7 @@
 option(ENABLE_WASAPI "Enable Windows Audio Session API support (windows only)" OFF)
 # option(ENABLE_CORE "Enable CoreAudio API support (mac only)" ON)
 option(COMPILE_PROJECTS "Compile all the example projects" ON)
+option(INSTALL_HEADERS "Install headers" ON)
 
 include_directories("./include")
 file(GLOB STK_SRC "./src/*.cpp") # GLOB instead of GLOB_RECURSE as the asio depends on system
@@ -77,7 +85,6 @@
         # Tested under MSYS2 with Mingw64 toolchain
         #==============      WINDOWS      ================#
         message("Windows DETECTED!")
-
         link_libraries(winmm ole32 wsock32)
         add_definitions(-D__WINDOWS_MM__)
 
@@ -112,17 +119,27 @@
 if(NOT IS_BIG_ENDIAN)
   add_definitions(-D__LITTLE_ENDIAN__)
 endif()
-
+add_definitions(-D_USE_MATH_DEFINES)
+if(INSTALL_HEADERS)
+    file(GLOB STK_HEADERS "include/*.h")
+    install(FILES ${STK_HEADERS} DESTINATION include/stk)
+endif()
 #========================================#
 #========== Build the Library ===========#
 #========================================#
 if(BUILD_STATIC)
     add_library(stk STATIC ${STK_SRC} )
+    target_include_directories(stk PRIVATE include PUBLIC $<INSTALL_INTERFACE:include>)
+    set_target_properties(stk PROPERTIES PUBLIC_HEADER "${LIBSTK_HEADERS}")
+    list(APPEND STK_TARGETS stk)
 endif()
 
 if(BUILD_SHARED)
     add_library(stk_SHARED SHARED ${STK_SRC})
     set_target_properties(stk_SHARED PROPERTIES OUTPUT_NAME stk) # rename the shared library name
+    target_include_directories(stk_SHARED PRIVATE include PUBLIC $<INSTALL_INTERFACE:include>)
+    set_target_properties(stk_SHARED PROPERTIES PUBLIC_HEADER "${LIBSTK_HEADERS}")
+    list(APPEND STK_TARGETS stk_SHARED)
 endif()
 
 #========================================#
@@ -136,3 +153,15 @@
     add_subdirectory(projects/effects)
     add_subdirectory(projects/ragamatic)
 endif()
+
+#========================================#
+#========= Install ======================#
+#========================================#
+
+install(TARGETS ${STK_TARGETS} EXPORT stk-config
+	LIBRARY DESTINATION lib
+	ARCHIVE DESTINATION lib
+	RUNTIME DESTINATION bin
+	PUBLIC_HEADER DESTINATION include/stk)
+
+install(EXPORT stk-config DESTINATION lib/cmake/stk)

=== debian/changelog ===
stk (5.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Jun 2024 23:40:04 +0200

stk (5.0.1+dfsg-1~exp) experimental; urgency=medium

  * Team upload

  * New upstream version 5.0.1+dfsg
    (Closes: #1051564)

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream
    + Refresh patches
    + libstk-4.6.2 -> libstk-5.0.0
  * Apply 'wrap-and-sort -ast'
  * Update copyright information
    + Add 'licensecheck' target
    + Generate initial d/copyright_hints
    + Re-generate d/copyright_hints
    + Bump copyright dates
    + Add myself to copyright holders
  * Update watchfile
  * Add salsa-ci configuration
  * Add lintian-override
  * Bump standards version to 4.7.0

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Jun 2024 23:39:17 +0200

=== debian/rules ===
--- 
+++ 
@@ -63,3 +63,16 @@
 	done
 	rm -rf doc/html
 	rm -rf projects/demo/Release/ projects/examples/libMakefile src/Release/
+
+
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+        debian/.*|.*\.raw|.*\.bmp|.*\.mid
+# licensecheck v1
+.PHONY: licensecheck
+licensecheck:
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
+		> debian/copyright_newhints
+	cmp debian/copyright_hints debian/copyright_newhints \
+		&& rm debian/copyright_newhints

=== debian/watch ===
version=4
opts=searchmode=plain,\
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 repacksuffix=+dfsg,\
 dversionmangle=auto \
    https://api.github.com/repos/thestk/stk/releases?per_page=100 \
    https://api.github.com/repos/thestk/stk/tarball/@ANY_VERSION@
